@echo off
prompt $G
call ..\setPath
set classpath=
call ..\setClasspath
set classpath=%classpath%;c:\temp\data
if exist Lifetime goto build
mkdir Lifetime
mkdir Lifetime\WEB-INF
mkdir Lifetime\WEB-INF\classes
mkdir wsdeployGeneratedFiles
:build
@echo on
javac -d Lifetime\WEB-INF\classes *.java
copy web.xml Lifetime\WEB-INF
copy jaxrpc-ri.xml Lifetime\WEB-INF
jar -cf Lifetime_predeploy.war -C Lifetime WEB-INF
call wsdeploy -keep -tmpdir wsdeployGeneratedFiles -o Lifetime.war Lifetime_predeploy.war
@echo off
pause
